package schema

import (
	"reflect"

	"github.com/sashabaranov/go-openai/jsonschema"
)

type Type interface {
	SchemaType() jsonschema.DataType
	Definition() jsonschema.Definition

	Required() bool
	Description() string

	FromAny(any) (reflect.Value, error)
	SetValueOnField(obj reflect.Value, val reflect.Value)
}
